<script setup>
const props = defineProps([
    'object',
    'active'
])

const emit = defineEmits(['choose'])

const handleChoose = (event) => {
    if(props.object.linkable) {
        emit('choose')
    }
}

</script>

<template>
<div class="d-flex mt-0 pointer-cursor hover py-1" @click="handleChoose" @dblclick="$emit('open')">
    <v-icon
        class="mx-1 my-auto"
        :icon="object.icon ? object.icon : 'mdi-orbit'"
        @click.stop="() => {$emit('open')}"
    ></v-icon>
    <div :class="[{ 'font-weight-bold': active }, 'me-auto', 'my-auto', 'text-truncate']">{{ object.name }}</div>
    <div v-if="object.has_children">
        <v-btn
            density="compact"
            icon="mdi-chevron-right"
            color="grey"
            variant="plain"
            @click.stop="() => {$emit('open')}"
        ></v-btn>
    </div>
</div>
</template>

<style>
.hover:hover {
    background-color: #f2f2f2;
}
</style>
